package org.tensorflow.lite.examples.poseestimation

import android.content.Intent
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.FrameLayout
import androidx.fragment.app.Fragment

class Onboarding3Fragment : Fragment() {
    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        val view = inflater.inflate(R.layout.activity_onboarding3, container, false)
        
        // 找到Start now按钮并设置点击事件
        val startButton = view.findViewById<FrameLayout>(R.id.small_butto_container)
        startButton.setOnClickListener {
            // 跳转到性别选择页面
            val intent = Intent(requireActivity(), GenderSelectionActivity::class.java)
            startActivity(intent)
            requireActivity().finish() // 结束当前的OnboardingActivity
        }
        
        return view
    }
}